> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.dataglade.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.dataglade.com/_mcp/server.

# Get quote

GET https://api.dataglade.com/equity/{symbol}/quote

Reference: https://docs.dataglade.com/equities/get-latest-quote

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `symbol` (string, required)

## Response

### 200

Successful Response

- `data` (list of Quote, optional)
- `message` (string, optional) — A message with the response status.
- `info` (Info, optional) — Additional information or metadata about the response. Varies by response type.

## Errors

### 422 Unprocessable Entity

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### Quote

- `symbol` (string, required) — The stock symbol
- `name` (string, required) — A displayable name for the company.
- `price` (double, required) — The current stock price
- `changesPercentage` (double, required) — The percentage change in stock price.
- `change` (double, required) — The change in stock price for the day.
- `dayLow` (double, required) — The lowest price of the day.
- `dayHigh` (double, required) — The highest price of the day.
- `yearHigh` (double, required) — The highest price of the year.
- `yearLow` (double, required) — The lowest price of the year.
- `marketCap` (integer, required) — The market capitalization, based on the latest quote.
- `priceAvg50` (double, required) — The 50-day average price.
- `priceAvg200` (double, required) — The 200-day average price.
- `volume` (integer, required) — The trading volume for the day.
- `avgVolume` (integer, required) — The average trading volume.
- `open` (double, required) — The day's opening price.
- `previousClose` (double, required) — The last closing price.
- `eps` (double, required) — Last reported earnings per share.
- `pe` (double, required) — Price-to-earnings ratio, as of the last reported earnings per share.
- `sharesOutstanding` (integer, required) — Number of shares outstanding
- `timestamp` (integer, required) — UNIX Timestamp of the quote

### Info

Additional information or metadata about the response. Varies by response type.

- map from string to any
- string

### ValidationError

- `loc` (list of ValidationErrorLocItem, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItem

- string
- integer

## Examples

**Response**

```json
{
  "data": [
    {
      "symbol": "AAPL",
      "name": "Apple Inc.",
      "price": 235.86,
      "changesPercentage": -0.2622,
      "change": -0.62,
      "dayLow": 232.61,
      "dayHigh": 236.19,
      "yearHigh": 237.49,
      "yearLow": 164.08,
      "marketCap": 3586039026000,
      "priceAvg50": 225.9344,
      "priceAvg200": 200.1021,
      "volume": 34958938,
      "avgVolume": 51003768,
      "open": 233.885,
      "previousClose": 236.48,
      "eps": 6.57,
      "pe": 35.9,
      "sharesOutstanding": 15204100000,
      "timestamp": 1729627201
    }
  ],
  "message": "message",
  "info": {
    "key": "value"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.dataglade.com/equity/symbol/quote"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dataglade.com/equity/symbol/quote';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dataglade.com/equity/symbol/quote"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dataglade.com/equity/symbol/quote")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.dataglade.com/equity/symbol/quote")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.dataglade.com/equity/symbol/quote', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dataglade.com/equity/symbol/quote");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dataglade.com/equity/symbol/quote")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```